//*****************************************************//
//
// Unit: RsDialog.cpp
//
// Purpose: Encapsulates the standard message box method
//
// Inherits From: TComponent
//
// Project: Rapid Misc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "RsDialog.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TRsDialog *)
{
        new TRsDialog(NULL);
}
//---------------------------------------------------------------------------
__fastcall TRsDialog::TRsDialog(TComponent* Owner)
        : TComponent(Owner)
{
}
//---------------------------------------------------------------------------
namespace Rsdialog
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TRsDialog)};
                 RegisterComponents("Rapid - Misc", classes, 0);
        }
}
//---------------------------------------------------------------------------
void __fastcall TRsDialog::SimpleMessage()
{
    ShowMessage(FMessageBody);

}
int __fastcall TRsDialog::InternalShow()
{
    if (FShowHelp)
       FMessageFlags += MB_HELP;

    return Application->MessageBox(FMessageBody.c_str(),FMessageTitle.c_str(),FMessageFlags);
}

int __fastcall TRsDialog::DoRetryCancel()
{
    FMessageFlags=MB_RETRYCANCEL + MB_ICONINFORMATION;

    return InternalShow();

}
int __fastcall TRsDialog::DoYesNo()
{
   FMessageFlags=MB_YESNO + MB_ICONQUESTION;
   return InternalShow();

}

int __fastcall TRsDialog::DoWarning()
{
   FMessageFlags=MB_ICONSTOP + MB_OK;
   return InternalShow();

}
void __fastcall TRsDialog::DoMessage()
{
   FMessageFlags = MB_ICONINFORMATION  + MB_OK;
   InternalShow();

}